Bug 32798 - inconsistent hostname settings
inconsistent hostname settings
Status: CLOSED WORKSFORME
Product: Red Hat Linux
Classification: Retired
Component: anaconda (Show other bugs)
7.1
All Linux
medium Severity medium
: ---
: ---
Assigned To: Matt Wilson
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-03-22 23:46 EST by Daniel Roesen
Modified: 2007-04-18 12:32 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-04-11 14:45:27 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Daniel Roesen 2001-03-22 23:46:32 EST
Using qa0322 tree.

Static IP configuration, entering "alexis.entire-systems.com" as host FQDN
in installer.

[root@alexis /root]# hostname
alexis.entire-systems.com
[root@alexis /root]# fgrep hostname /var/log/boot.log  
Mar 23 05:40:28 alexis rc.sysinit: Setting hostname localhost.localdomain: 
succeeded 
[root@alexis /root]# fgrep HOSTNAME /etc/sysconfig/network 
HOSTNAME=localhost.localdomain
[root@alexis /root]# grep -v '^#' /etc/hosts
127.0.0.1		localhost.localdomain localhost
195.247.253.2		alexis.entire-systems.com

Any ideas what's going on? Network config is ok. Installer ifconfig "up"s
the interface in "Performing post-install setup" phase. From what I'm
seeing the install kernel loads the TLAN driver fine (machine is a Compaq
ProLiant 1600R with on-board TLAN NIC).
Comment 1 Matt Wilson 2001-08-10 14:04:02 EDT
The initscripts set the hostname to the reverse resolution of IP of the first
network card that comes up *during boot time*, if and only if the current host
name is localhost.localdomain.

The final result is working for you, yes?

Note You need to log in before you can comment on or make changes to this bug.